Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1061078 - [abrt] yum: transaction.py:93:getTsFlags:AttributeError: 'NoneType' object has no attribute 'setFlags'
Summary: [abrt] yum: transaction.py:93:getTsFlags:AttributeError: 'NoneType' object ha...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:ac11386083ac95e118eff61e648...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-04 11:03 UTC by Igor Gnatenko
Modified: 2016-03-20 10:19 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-20 10:19:36 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-02-04 11:03 UTC, Igor Gnatenko
no flags Details
File: environ (deleted)
2014-02-04 11:03 UTC, Igor Gnatenko
no flags Details

Description Igor Gnatenko 2014-02-04 11:03:18 UTC
Version-Release number of selected component:
yum-3.4.3-134.fc21

Additional info:
reporter:       libreport-2.1.12
cmdline:        /usr/bin/python /bin/yum shell
dso_list:       python-libs-2.7.5-11.fc21.x86_64
executable:     /bin/yum
kernel:         3.14.0-0.rc0.git12.1.fc21.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
transaction.py:93:getTsFlags:AttributeError: 'NoneType' object has no attribute 'setFlags'

Traceback (most recent call last):
  File "/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 355, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 174, in main
    result, resultmsgs = base.doCommands()
  File "/usr/share/yum-cli/cli.py", line 570, in doCommands
    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd, self.extcmds)
  File "/usr/share/yum-cli/yumcommands.py", line 1975, in doCommand
    return base.doShell()
  File "/usr/share/yum-cli/cli.py", line 470, in doShell
    yumshell.cmdloop()
  File "/usr/share/yum-cli/shell.py", line 94, in cmdloop
    cret = cmd.Cmd.cmdloop(self, *args, **kwargs)
  File "/usr/lib64/python2.7/cmd.py", line 142, in cmdloop
    stop = self.onecmd(line)
  File "/usr/lib64/python2.7/cmd.py", line 221, in onecmd
    return func(arg)
  File "/usr/share/yum-cli/shell.py", line 443, in do_run
    (code, msgs) = self.base.buildTransaction()
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1345, in buildTransaction
    self.save_ts(auto=True)
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 6701, in save_ts
    msg += "%s\n" % self.ts.getTsFlags()
  File "/usr/lib/python2.7/site-packages/rpmUtils/transaction.py", line 93, in getTsFlags
    curflags = self.ts.setFlags(0)
AttributeError: 'NoneType' object has no attribute 'setFlags'

Local variables in innermost frame:
self: <rpmUtils.transaction.TransactionWrapper instance at 0x2aebc20>

Comment 1 Igor Gnatenko 2014-02-04 11:03:23 UTC
Created attachment 859057 [details]
File: backtrace

Comment 2 Igor Gnatenko 2014-02-04 11:03:25 UTC
Created attachment 859058 [details]
File: environ

Comment 3 Jaroslav Reznik 2015-03-03 15:26:54 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 4 Igor Gnatenko 2016-03-20 10:19:36 UTC
no comments for long time.


Note You need to log in before you can comment on or make changes to this bug.